package org.apache.bcel.classfile;

import java.io.IOException;
import java.io.DataOutputStream;

public class ClassElementValue extends ElementValue
{
    private final int idx;
    
    public ClassElementValue(final int type, final int idx, final ConstantPool cpool) {
        super(type, cpool);
        this.idx = idx;
    }
    
    @Override
    public void dump(final DataOutputStream dos) throws IOException {
        dos.writeByte(super.getType());
        dos.writeShort(this.idx);
    }
    
    public String getClassString() {
        return super.getConstantPool().getConstantUtf8(this.idx).getBytes();
    }
    
    public int getIndex() {
        return this.idx;
    }
    
    @Override
    public String stringifyValue() {
        return super.getConstantPool().getConstantUtf8(this.idx).getBytes();
    }
}
